## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

Name:           swww
Version:        0.10.3
Release:        %autorelease
Summary:        Efficient animated wallpaper daemon for Wayland

SourceLicense:  GPL-3.0-only
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
                GPL-3.0-only
                AND (0BSD OR MIT OR Apache-2.0)
                AND (Apache-2.0 OR MIT)
                AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
                AND BSD-3-Clause
                AND MIT
                AND (MIT OR Apache-2.0 OR Zlib)
                AND (Unlicense OR MIT)
                }
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/LGFae/%{name}
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source:         %{name}-%{version}-vendor.tar.xz

BuildRequires:  cargo-rpm-macros >= 25
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  scdoc

%global _description %{expand:
Solution to your Wayland Wallpaper Woes is an efficient animated wallpaper
daemon for wayland, controlled at runtime.

SWWW requires a Wayland compositor with wlr-layer-shell support}

%description %{_description}

%prep
%autosetup -n swww-%{version} -p1 -a1
%cargo_prep -v vendor
chmod -x example_scripts/*.sh

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}
for fname in doc/*.scd; do
    scdoc <"$fname" >"doc/$(basename --suffix .scd "$fname")"
done

%install
for crate in client daemon; do
    pushd $crate
    %cargo_install
    popd
done
for fname in doc/*.[1-9]; do
    fbasename=$(basename "$fname")
    install -m644 -pvD "$fname" "%{buildroot}%{_mandir}/man${fbasename##*.}/$fbasename"
done

install -D -m 0644 -pv completions/swww.bash %{buildroot}%{bash_completions_dir}/swww
install -D -m 0644 -pv completions/swww.fish %{buildroot}%{fish_completions_dir}/swww
install -D -m 0644 -pv completions/_swww     %{buildroot}%{zsh_completions_dir}/_swww

%if %{with check}
%check
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc CHANGELOG.md
%doc README.md
%doc example_scripts
%{_bindir}/swww
%{_bindir}/swww-daemon
%{_mandir}/man1/swww*.1*
%{bash_completions_dir}/swww
%{fish_completions_dir}/swww
%{zsh_completions_dir}/_swww

%changelog
## START: Generated by rpmautospec
* Tue Jun 10 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.3-1
- Update to 0.10.3

* Sat Jun 07 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2

* Sat May 31 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Sun May 25 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Sat Mar 23 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Tue Jan 16 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Mon Jul 17 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Tue Apr 25 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.7.3-1
- Update to 0.7.3

* Wed Feb 22 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Sun Feb 05 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Sun Jan 29 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Thu Dec 01 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Sun Oct 16 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Sat Sep 03 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3

* Sat Aug 20 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Sat Aug 20 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.4.1-1
- Initial package
## END: Generated by rpmautospec
